Description

Like many consumers of wireless devices, | like the open source DD-WRT firmware. And luckily there is support for this firmware on
the Linksys 1200 v2, as well as its predecessor. This is a simple instructional guide for flashing this firmware on the 1200 v2.

After using the trailed build file for the initial flash (yes the file with the router name in it) only use nv64k builds to upgrade with or you
will brick your unit

WARNING: Don't confuse this unit with some of the other Linksys E-Series units that use nv60k builds, this one uses nv64k builds!

1. Disconnect all cables and wireless clients.
2. Do a 30/30/30 reset on router
3. Connect 1 LAN cable to PC doing the flash and plug the other end into one of the router's switch ports. Do not use the WAN
port for flashing, it won't work.
4. Log into Linkysys Web Interface Firmware Upgrade page at 192.168.1.1 and flash the firmware E1200v2 Trailed Initial Flash
Build

o NOTE: The default username is admin and password is admin for the stock E1200.
. Wait 5 minutes to assure flash integrity.
. Power cycle by unplugging the E1200v2 for 5 seconds.
. Plug the E1200v2 back in and wait about 2 minutes until it finishes booting.
. Do a 30/30/30 reset on router.

o As reported from the forum, an additional power cycle after the 30-30-30 may be required as well.
9. Wait 3 minutes and log into web interface.

o NOTE: The default username is root and password is admin for the DDWRT E1200.

o NO O

NOTE: After the initial flash - should you want to flash to a build with more features you can use a k2.6 nv64k BIG or mega build or
any of the other build flavors that are of your liking for features.

Hard Reset (aka 30/30/30 reset):
The following procedure will clear out the NVRAM and set dd-wrt back to default values:
1. With the unit powered on, press and hold the reset button on back of unit for 30 seconds

2. Without releasing the reset button, unplug the unit and hold reset for another 30 seconds
3. Plug the unit back in STILL holding the reset button a final 30 seconds

NOTE: This procedure should be done BEFORE and AFTER every firmware upgrade/downgrade.

Do not use configuration restore if you change firmware builds (different svn build numbers).

Resources

e http:/www.dd-wrt.com/wiki/index.php/Linksys E1200v2
o http://www.dd-wrt.com/wiki/index.php/Hard_reset_or_30/30/30
o ftp:/ftp.dd-wrt.com/betas/2013/05-27-2013-r21676/broadcom_K26/

History

#1 - 09/16/2014 05:37 PM - Daniel Curtis
- Description updated

- % Done changed from 0 to 20

#2 - 09/17/2014 03:11 PM - Daniel Curtis
ftp://ftp.dd-wrt.com/betas/2013/05-27-2013-r21676/broadcom_K26/dd-wrt.v24-21676_NEWD-2_K2.6_mini-e1200v2.bin
ftp://ftp.dd-wrt.com/betas/2013/05-27-2013-r21676/broadcom_K26/dd-wrt.v24-21676_NEWD-2_K2.6_mini-e1200v2.bin
http://www.dd-wrt.com/wiki/index.php/Linksys_E1200v2
http://www.dd-wrt.com/wiki/index.php/Hard_reset_or_30/30/30
ftp://ftp.dd-wrt.com/betas/2013/05-27-2013-r21676/broadcom_K26/

- Description updated
- Status changed from New to Resolved

- % Done changed from 20 to 100

#3 - 09/28/2014 03:29 PM - Daniel Curtis

- Status changed from Resolved to Closed

Files
dd-wrt.v24-21676_NEWD-2_K2.6_mini-e1200v2.bin 3.38 MB 09/17/2014 Daniel Curtis
